import unittest,os,sys

def runalltests(subset=''):
    sys.path.append(os.path.dirname(__file__))
    testlist = os.listdir(os.path.dirname(__file__))
    tests = [test[:-3] for test in testlist if test.startswith('test'+subset) and test.endswith('.py')]
    suite = unittest.TestSuite()
    for test in tests:
        testmod = __import__(test)
        if hasattr(testmod, 'test_suite'):
            suite.addTest(testmod.test_suite())
    TestRunner = unittest.TextTestRunner
    TestRunner().run(suite)

if __name__ == '__main__':
    runalltests()
